| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
wxRichTextCommand Class Reference
Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextCommand:
[legend]

## Detailed Description

Implements a command on the undo/redo stack.

A wxRichTextCommand object contains one or more wxRichTextAction objects, allowing aggregation of a number of operations into one command.

##

Library: wxRichText
Category: Rich Text

See Also
  wxRichTextAction

## Public Member Functions

| wxRichTextCommand (const wxString &name, wxRichTextCommandId id, wxRichTextBuffer *buffer, wxRichTextParagraphLayoutBox *container, wxRichTextCtrl *ctrl, bool ignoreFirstTime=false)
| Constructor for one action.
| wxRichTextCommand (const wxString &name)
| Constructor for multiple actions.
virtual | ~wxRichTextCommand ()
bool | Do ()
| Performs the command.
bool | Undo ()
| Undoes the command.
void | AddAction (wxRichTextAction *action)
| Adds an action to the action list.
void | ClearActions ()
| Clears the action list.
wxList & | GetActions ()
| Returns the action list.
Public Member Functions inherited from wxCommand
| wxCommand (bool canUndo=false, const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxCommand ()
| Destructor.
virtual bool | CanUndo () const
| Returns true if the command can be undone, false otherwise.
virtual wxString | GetName () const
| Returns the command name.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Protected Attributes

wxList | m_actions

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.

## Constructor & Destructor Documentation

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name,
|  | wxRichTextCommandId | id,
|  | wxRichTextBuffer * | buffer,
|  | wxRichTextParagraphLayoutBox * | container,
|  | wxRichTextCtrl * | ctrl,
|  | bool | ignoreFirstTime = `false`
| ) |  |

Constructor for one action.

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name | ) |

Constructor for multiple actions.

virtual wxRichTextCommand::~wxRichTextCommand | ( |  | ) |

virtual

## Member Function Documentation

void wxRichTextCommand::AddAction | ( | wxRichTextAction * | action | ) |

Adds an action to the action list.

void wxRichTextCommand::ClearActions | ( |  | ) |

Clears the action list.

bool wxRichTextCommand::Do | ( |  | ) |

virtual

Performs the command.

Implements wxCommand.

wxList& wxRichTextCommand::GetActions | ( |  | ) |

inline

Returns the action list.

bool wxRichTextCommand::Undo | ( |  | ) |

virtual

Undoes the command.

Implements wxCommand.

## Member Data Documentation

wxList wxRichTextCommand::m_actions

protected